GENERATE_IDEA = """
Given the current research landscape in the specified field, propose a novel and feasible research idea through logical analysis. Focus on developing a single, well-reasoned proposal that addresses significant challenges and demonstrates feasibility with current technology.

Your response should be concise, providing only the title and a brief description of the research idea in no more than 3 sentences.
"""

ELABORATE_IDEA = """
Elaborate on the selected research idea. Provide a comprehensive analysis including:

1. Research objective
2. Methodology
3. Expected outcomes
4. Potential challenges

Ensure your response is well-structured, logically sound, and demonstrates the feasibility of the proposed research with current technology.
"""

EVALUATE_RESEARCH = """
Evaluate the elaborated research proposal. Consider the following aspects:

1. Novelty and originality
2. Feasibility with current technology
3. Potential impact on the field
4. Clarity and coherence of the proposal

Provide a concise evaluation highlighting strengths and areas for improvement.
"""

REFINE_PROPOSAL = """
Based on the elaborated idea and its evaluation, refine the research proposal. Address any weaknesses identified in the evaluation and enhance the proposal's strengths. Ensure that the refined proposal:

1. Clearly states the research objective
2. Outlines a feasible methodology
3. Describes expected outcomes and their significance
4. Addresses potential challenges and mitigation strategies

Present the refined proposal in a well-structured format suitable for academic submission.
"""