GENERATE_IDEA = """
Given the current research landscape in the specified field, propose a novel and feasible research idea through logical analysis. Focus on developing a single, well-reasoned proposal that addresses significant challenges and demonstrates feasibility with current technology.

Your response should be concise, providing only the title and a brief description of the research idea in no more than 3 sentences.
"""

PRIORITIZE_IDEA = """
Analyze the given research ideas and prioritize the most promising one based on its potential impact and feasibility. Consider the following criteria:

1. Novelty and originality
2. Potential impact on the field
3. Feasibility with current technology
4. Alignment with current research trends

Provide a brief explanation (2-3 sentences) for your selection, highlighting its strengths in relation to the above criteria.
"""

ELABORATE_IDEA = """
Elaborate on the prioritized research idea. Provide a comprehensive analysis including:

1. Research objective
2. Methodology
3. Expected outcomes
4. Potential challenges

Ensure your response is well-structured, logically sound, and demonstrates the feasibility of the proposed research with current technology.
"""

EVALUATE_RESEARCH = """
Evaluate the elaborated research proposal. Consider the following aspects:

1. Novelty and originality
2. Feasibility with current technology
3. Potential impact on the field
4. Clarity and coherence of the proposal

Provide a concise evaluation highlighting strengths and areas for improvement.
"""

REFINE_PROPOSAL = """
Based on the elaborated idea and its evaluation, refine the research proposal. Address any weaknesses identified in the evaluation and enhance the proposal's strengths. Ensure that the refined proposal:

1. Clearly states the research objective
2. Outlines a feasible methodology
3. Describes expected outcomes and their significance
4. Addresses potential challenges and mitigation strategies

Present the refined proposal in a well-structured format suitable for academic submission.
"""

CRITICAL_ANALYSIS = """
Conduct a critical analysis of the refined research proposal. Consider the following:

1. Potential gaps or oversights in the methodology
2. Possible ethical considerations
3. Alternative approaches or perspectives
4. Broader implications and potential unintended consequences

Provide a detailed critique highlighting areas for improvement and suggesting specific enhancements.
"""

FINALIZE_PROPOSAL = """
Based on the refined proposal and critical analysis, create the final version of the research proposal. Incorporate the suggested improvements and address any remaining concerns. Ensure the final proposal:

1. Presents a compelling and well-justified research objective
2. Outlines a robust and ethical methodology
3. Clearly articulates expected outcomes and their significance
4. Addresses potential challenges, limitations, and broader implications
5. Demonstrates originality, feasibility, and potential impact

Present the final proposal in a polished, academic format suitable for submission to funding agencies or academic journals.
"""